<Input::Options::Frame @title={{capitalize (t "menu buttons")}} ...attributes>
  <div class="form-check form-switch">
    <Input class="form-check-input input-menu-show-logo" id="{{this.elementId}}-show-logo" @checked={{this.showLogo}} @type="checkbox" />
    <label class="form-check-label" for="{{this.elementId}}-show-logo">
      {{t "show logo"}}
    </label>
  </div>

  <div class="form-check form-switch">
    <Input class="form-check-input input-menu-show-login" id="{{this.elementId}}-show-login" @checked={{this.showLogin}} @type="checkbox" />
    <label class="form-check-label" for="{{this.elementId}}-show-login">
      {{t "show login"}}
    </label>
  </div>

  <div class="form-check form-switch">
    <Input class="form-check-input input-menu-show-search" id="{{this.elementId}}-show-search" @checked={{this.showSearch}} @type="checkbox" />
    <label class="form-check-label" for="{{this.elementId}}-show-search">
      {{t "option-panel.show search"}}
    </label>
  </div>

  <Input::Menu @value={{this.menu}} @space={{@space}} @onChange={{fn this.change "menu"}} />
</Input::Options::Frame>

<Input::Options::Frame @title={{capitalize (t "menu functionality")}} ...attributes>
  <div class="form-floating">
    <Input::Select class="input-menu-position" @list={{this.availablePositions}} @value={{this.position}} @onChange={{fn this.change "position"}} />
    <label for="floatingSelect">{{capitalize (t "position")}}</label>
  </div>

  <div class="form-floating">
    <Input::Select class="input-menu-hamburger-from" @list={{this.availableSizes}} @value={{this.hamburgerFrom}} @onChange={{fn this.change "hamburgerFrom"}} />
    <label for="floatingSelect">{{capitalize (t "hamburger menu on")}}</label>
  </div>
</Input::Options::Frame>

<Input::Options::Frame @title={{capitalize (t "menu style")}} ...attributes>
  <div class="form-floating">
    <Input::Select class="input-menu-align" @list={{this.availableAlignments}} @value={{this.align}} @onChange={{fn this.change "align"}} />
    <label for="floatingSelect">{{capitalize (t "align")}}</label>
  </div>

  <div class="form-floating">
    <Input::Select class="input-menu-shadow" @list={{this.availableShadows}} @value={{this.shadow}} @onChange={{fn this.change "shadow"}} />
    <label for="floatingSelect">{{capitalize (t "shadow")}}</label>
  </div>

  <div class="form-floating">
    <Input::Select class="input-menu-width" @list={{this.availableWidths}} @value={{this.width}} @onChange={{fn this.change "width"}} />
    <label for="floatingSelect">{{capitalize (t "width")}}</label>
  </div>

  <hr />

  <div class="input-menu-primary-background">
    <Input::BsColorPicker @label={{capitalize (t "primary background color")}} @space={{@space}} @onChange={{fn this.change "primaryBackground"}} @value={{this.primaryBackground}} />
  </div>

  <div class="input-menu-primary-text">
    <Input::BsColorPicker @label={{capitalize (t "primary text color")}} @space={{@space}} @onChange={{fn this.change "primaryText"}} @value={{this.primaryText}} />
  </div>

  <div class="input-menu-primary-border">
    <Input::BsColorPicker @label={{capitalize (t "primary border color")}} @space={{@space}} @onChange={{fn this.change "primaryBorder"}} @value={{this.primaryBorder}} />
  </div>

  <hr />

  <div class="input-menu-secondary-background">
    <Input::BsColorPicker @label={{capitalize (t "secondary background color")}} @space={{@space}} @onChange={{fn this.change "secondaryBackground"}} @value={{this.secondaryBackground}} />
  </div>

  <div class="input-menu-secondary-text">
    <Input::BsColorPicker @label={{capitalize (t "secondary text color")}} @space={{@space}} @onChange={{fn this.change "secondaryText"}} @value={{this.secondaryText}} />
  </div>

  <div class="input-menu-secondary-border">
    <Input::BsColorPicker @label={{capitalize (t "secondary border color")}} @space={{@space}} @onChange={{fn this.change "secondaryBorder"}} @value={{this.secondaryBorder}} />
  </div>

  <hr />

  <div class="input-menu-selected-background">
    <Input::BsColorPicker @label={{capitalize (t "selected background color")}} @space={{@space}} @onChange={{fn this.change "selectedBackground"}} @value={{this.selectedBackground}} />
  </div>

  <div class="input-menu-selected-text">
    <Input::BsColorPicker @label={{capitalize (t "selected text color")}} @space={{@space}} @onChange={{fn this.change "selectedText"}} @value={{this.selectedText}} />
  </div>
</Input::Options::Frame>

<Input::Options::Frame @title={{t "option-panel.logo"}} class="option-panel-logo">
  <Input::Options::SizePx @property="height" @value={{this.logoStyle}} @deviceSize={{@deviceSize}} @onChange={{this.changeLogoStyle}} />
</Input::Options::Frame>